Deliverables
Retrieve a deliverable
Retrieve a deliverable by id to check its status and, once it is generated, get a fresh download URL for the signed PDF.
Retrieves the details of a deliverable, including its current status and download URL.
The url is null until the deliverable status is generated. See the deliverable lifecycle. When it is generated, the response includes a url property with a download link. By default, this is a pre-signed URL that expires after 1 hour. Call this endpoint again to get a fresh URL if the previous one has expired.
Path Parameters
The unique identifier for this deliverable.
Returns
Returns a 200 OK status code along with a deliverable object if successful, or an error otherwise. A 404 means the deliverable does not exist.
GET /v1/deliverables/del_6FF89lKNyTNamOJCJd1tLL HTTP/1.1
Host: api.signatureapi.com
X-API-Key: YOUR_API_KEYnpx signatureapi deliverables get del_6FF89lKNyTNamOJCJd1tLL{
"id": "del_6FF89lKNyTNamOJCJd1tLL",
"name": null,
"envelope_id": "eb4cf433-a8af-4161-b37b-7ef57d423e56",
"type": "standard",
"status": "generated",
"url": "https://vault.signatureapi.com/envelopes/eb4cf433-a8af-4161-b37b-7ef57d423e56/deliverables/del_6FF89lKNyTNamOJCJd1tLL.pdf?signature=9c4e1f7a2b",
"language": "en",
"timezone": "America/New_York",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"included_documents": [
"service_agreement",
"mutual_nda"
],
"password": null,
"created_at": "2026-11-02T15:21:41.000Z",
"generated_at": "2026-11-02T15:21:46.000Z"
}{
"type": "https://signatureapi.com/docs/v1/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Could not find Deliverable del_6FF89lKNyTNamOJCJd1tLL."
}Errors every call can return are in Errors and Authentication.